摘要: 继上篇文章《Mono的兼容性问题》之后,现在总结一下我在suse 10中部署mono环境遇到的一些问题及其处理办法。 腾讯社区开放平台提供的体验区的服务器环境是这样的:Linux version 2.6.16.60 (gcc version 4.1.2 20070115 (SUSE Linux)) 这个Linux内核的版本号应该是SLES(SUSE Linux Enterprise Server 10 SP2)的操作系统。mono原来的版本号是1.2.2,而我们需要2.8.2的mono。腾讯的服务器是没有配置dns解析功能的,所以不能直接用yast2来通过更新源来升级mono;对于可以用yast2安装的,可以参考我的《在openSUSE中部署基于apache的mono环境》。而用rpm手工安装,太多的程序依赖处理起来很麻烦,只好用通过编译mono源码的方式来安装了。 阅读全文
posted @ 2011-01-26 20:06 木子博客 阅读(4439) 评论(13) 推荐(7) 编辑